Bug 139498 - smbmount uid parameter gets ignored
smbmount uid parameter gets ignored
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-11-16 07:42 EST by Juraj Bednar
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 17:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juraj Bednar 2004-11-16 07:42:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.5 (KHTML, like Gecko) Safari/125.11

Description of problem:
/usr/bin/smbmount //data-server/juraj mountpoint -o username=juraj,password=mypassword,uid=500

this command mounts the desired samba share as expected, but the uid is the uid of user "juraj" on the server, NOT user with id 500 (as I stated in the command line).

This command works as expected when I do it in RedHat Linux 9, but both fc2 and fc3 use the uid of the user on the server (and not that specified on the command line). It should work as in rh9 according to manpage.

Version-Release number of selected component (if applicable):
fc2 and fc3 versions of samba are both affected

How reproducible:

Steps to Reproduce:
1. see description, server is samba 3.0 all the time, when i use smbmount on redhat 9, it works, it does not work as documented on fedora core 2 and 3

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:32:03 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 17:50:43 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.